Name:          pnuts
Version:       1.2
Release:       %mkrel 1
Summary:       A scripting language on JVM
Group:         Development/Java
License:       Sunpublic
Url:           http://java.net/projects/pnuts
Source0:       https://pnuts.dev.java.net/files/documents/153/55745/pnuts-1.2-src.zip
Source1:       pnuts-1.2.pom
Patch0:        pnuts-1.2-Pnuts.patch
Patch1:        pnuts-1.2-pnuts_servlet-build_xml.patch

BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: javacc3
BuildRequires: jpackage-utils
BuildRequires: tomcat5-jsp-2.0-api
BuildRequires: tomcat5-servlet-2.4-api 
BuildRequires: xalan-j2
Requires:      jpackage-utils
BuildArch:     noarch

%description
Pnuts is a script language for Java environment. It
enables interaction with Java environment, simple
Web scripting, customization for Java programs, and
so on.

* Simple and clean syntax
* Interactive interpreter
* Extensible through its module system
* Customizable and embeddable through Pnuts API
* Dynamic/static translation to JVM bytecode
* One of the fastest scripting language implementations on JVM
* Inherits many advantages of Java (security, portability, etc.) 

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Pnuts, a scripting language on JVM.

This package contains javadoc for %{name}.

%prep
%setup -q -n pnuts-%{version}-src

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done
pushd modules/lib
  ln -sf $(build-classpath jspapi) jsp.jar
  ln -sf $(build-classpath servletapi5) servlet.jar
  ln -sf $(build-classpath xalan-j2) xalan.jar
  ln -sf $(build-classpath javacc3) javacc.jar
popd

%patch0 -p0
%patch1 -p0

%build

ant -Djavac.source=1.5 -Djavac.target=1.5 -Dtop=$PWD -Djavacc.home=$PWD/modules/lib all apidoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 dist/pnuts-%{version}/lib/pnuts.jar \
  %{buildroot}%{_javadir}/pnuts-%{version}.jar
install -m 644 dist/pnuts-%{version}/modules/pnuts-modules.jar \
  %{buildroot}%{_javadir}/pnuts-modules-%{version}.jar
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-pnuts.pom
%add_to_maven_depmap com.sun.script pnuts-engine %{version} JPP pnuts
%add_to_maven_depmap com.sun.script pnuts-modules %{version} JPP pnuts-modules

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/pnuts-%{version}
cp -pr apidoc/* %{buildroot}%{_javadocdir}/pnuts-%{version}
ln -sf pnuts-%{version} %{buildroot}%{_javadocdir}/pnuts

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/pnuts-%{version}.jar
%{_javadir}/pnuts.jar
%{_javadir}/pnuts-modules-%{version}.jar
%{_javadir}/pnuts-modules.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/pnuts-%{version}
%{_javadocdir}/pnuts



%changelog
* Sun Jul 31 2011 dmorgan <dmorgan> 1.2-1.mga2
+ Revision: 130890
- Clean spec file

  + gil <gil>
    - imported package pnuts


* Mon Jun 06 2011 gil <gil> 1.2-0.%%mkrel
- initial rpm